Package org.bukkit.block

# Interface HangingSign

All Superinterfaces:
  `BlockState`, `Colorable`, `Metadatable`, `PersistentDataHolder`, `Sign`, `TileState`

@Experimental public interface HangingSign extends Sign
Represents a captured state of a hanging sign.

## Method Summary

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.material.Colorable

`getColor, setColor`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.Sign

`getLine, getLines, isEditable, isGlowingText, line, line, lines, setEditable, setGlowingText, setLine`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`